/[gentoo-x86]/eclass/mysql.eclass
Gentoo

Diff of /eclass/mysql.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.82 Revision 1.83
1# Copyright 1999-2007 Gentoo Foundation 1# Copyright 1999-2007 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.82 2007/10/02 10:00:07 robbat2 Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.83 2007/11/08 09:42:55 robbat2 Exp $
4 4
5# Author: Francesco Riosa (Retired) <vivo@gentoo.org> 5# Author: Francesco Riosa (Retired) <vivo@gentoo.org>
6# Maintainer: Luca Longinotti <chtekk@gentoo.org> 6# Maintainer: Luca Longinotti <chtekk@gentoo.org>
7 7
8# Both MYSQL_VERSION_ID and MYSQL_PATCHSET_REV must be set in the ebuild too! 8# Both MYSQL_VERSION_ID and MYSQL_PATCHSET_REV must be set in the ebuild too!
453# 453#
454# EBUILD FUNCTIONS 454# EBUILD FUNCTIONS
455# 455#
456 456
457mysql_pkg_setup() { 457mysql_pkg_setup() {
458 enewgroup mysql 60 || die "problem adding 'mysql' group" 458 if hasq test ${FEATURES} ; then
459 enewuser mysql 60 -1 /dev/null mysql || die "problem adding 'mysql' user" 459 if ! use minimal ; then
460 if ! hasq userpriv ${FEATURES} ; then
461 die "Testing with FEATURES=-userpriv is no longer supported by upstream"
462 fi
463 fi
464 fi
460 465
461 # Check for USE flag problems in pkg_setup 466 # Check for USE flag problems in pkg_setup
462 if use static && use ssl ; then 467 if use static && use ssl ; then
463 eerror "MySQL does not support being built statically with SSL support enabled!" 468 eerror "MySQL does not support being built statically with SSL support enabled!"
464 die "MySQL does not support being built statically with SSL support enabled!" 469 die "MySQL does not support being built statically with SSL support enabled!"
476 && ( use cluster || use extraengine ) \ 481 && ( use cluster || use extraengine ) \
477 && use minimal ; then 482 && use minimal ; then
478 eerror "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!" 483 eerror "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!"
479 die "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!" 484 die "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!"
480 fi 485 fi
486
487 # This should come after all of the die statements
488 enewgroup mysql 60 || die "problem adding 'mysql' group"
489 enewuser mysql 60 -1 /dev/null mysql || die "problem adding 'mysql' user"
481 490
482 mysql_check_version_range "4.0 to 5.0.99.99" \ 491 mysql_check_version_range "4.0 to 5.0.99.99" \
483 && use berkdb \ 492 && use berkdb \
484 && elog "Berkeley DB support is deprecated and will be removed in future versions!" 493 && elog "Berkeley DB support is deprecated and will be removed in future versions!"
485} 494}

Legend:
Removed from v.1.82  
changed lines
  Added in v.1.83

  ViewVC Help
Powered by ViewVC 1.1.20